Subject: [Rfced-future] Comments on -07

From: Michael StJohns <[email-masked]>
Date: Wed, 22 Dec 2021 15:56:34 -0500

As I noted before, this is in pretty good shape excluding the RPC RSAB 
membership stuff and maybe a few more things.

S 3.2.4 - "Appeals of RSWG decisions..." - The RSWG doesn't make 
decisions, it comes to consensus and that consensus is judged by the 
RSWG chairs.  So instead "Appeals of any decisions of the RSWG chairs, 
including declining to decide an open issue in their purview after a 
suitable period shall be made to the RSAB." Similarly in the next 
sentence.  "Decisions of the RSWG chairs..." and later "... notice 
having been given to the RSWG [mailing list | chairs]?" - I think this 
is editorial.

S 4.3, bullet 8 - noted elsewhere, still haven't had an issue opened.  
Question is whether this bullet is an "RPC MAY participate in the RSWG 
as it needs to" or "RPC MUST participate".   Since the bullets open with

    More specifically, the RPC's responsibilities at the time of writing
    include the following:

      it currently reads as a "MUST", and I'm not sure they are
    resourced for it, nor whether this makes the most sense for their
    current skillsets and staffing.   I'd be happy with clarifying this
    is an optional (MAY) interaction, especially since we appear to have
    settled on the RPC being a non-voting ex officio member of the
    RSAB.  So text:

        8. The RPC may, as it determines necessary, participate within
        the RSWG in the creation of new Editorial Stream RFCs,
        especially those that might impact the RPC.

    I explicitly left out "advisory" here - I think the RSWG open group
    model really should avoid restricting people to an advisory role. 
    That's left to the following proposed language:

        8.1 The RPC may participate in the RSAB as a non-voting
        ex-officio member primarily as an advisor on RPC capabilities,
        schedules, staffing and resources.

S 4.3 bullet 16 - Is this needed if the RPC is an ex officio member of 
the RSAB?  Shouldn't that be where this interaction mostly happens?  
"Stream approving bodies" is different than "stream manager" and not 
having a single POC might be problematic.  (Sorry - I see this change 
was made -05 to -06, but there are a number of places in this document 
where telling the RPC to talk to an organization is just a bad idea - 
this comes under the heading of unintended consequences).

S 4.6.2 - S/The/Most/ first word.   I think we're adding or changing 
some costs here, but claiming there are no new expenses is more probably 
wrong that right. - nit.

S 5.3 - Reading this - is it possible for a temporary RSCE to be 
appointed as a volunteer?  (Was Olaf K an unpaid volunteer during his 
short term as RSE?).  If a volunteer steps in temporarily, does that 
change who gets to do the approvals?  Happy if the answer to "unpaid 
volunteer" is no, but if yes, not sure why the LLC would need to sign off.

S 6 - 2nd para - "The Editorial Stream will be used...." to "The 
Editorial Stream shall be used..." - nit.

S 6.1 "These procedures need to also allow authors to indicate either no 
rights to make derivative works, or preferentially, the right to make 
unlimited derivative works from the documents." is probably to 
specific.   I looked at this one and I think I see a land mine. We're 
trying to specify legal language here and if not careful could conflict 
with the language of 5378.  Instead:

    These procedures need to allow authors to indicate rights requests
    consistent with BCP78 (currently RFC5378) or it successor.   The
    publication of a successor document to RFC5378 and designation as
    BCP 78 shall be effective on the Editorial Stream process as of the
    BCP's publication date.

Or get a lawyer to craft this.

S 7 - I'm mostly happy with the list, but I'm still unhappy there is no 
language that the RSAB can use these items as part of their 
determination as "harm to the system".  I'm afraid that the RSWG will 
mostly ignore these as there really is no penalty for doing so, and the 
RSAB won't have a leg to stand on to push back.  I'll shut up now.

Good work to Peter dealing with all of this.

Mike

---

From: Eliot Lear <[email-masked]>
Date: Wed, 22 Dec 2021 22:12:48 +0100

Hi Mike,

Just on this one for now...

On 22.12.21 21:56, Michael StJohns wrote:
>
> S 7 - I'm mostly happy with the list, but I'm still unhappy there is 
> no language that the RSAB can use these items as part of their 
> mostly ignore these as there really is no penalty for doing so, and 
> the RSAB won't have a leg to stand on to push back.  I'll shut up now.
>
The way Peter constructed this text, the following bullet was added:

    *  Comments received during a community call for comment need to be
       addressed, as described underSection 3.2.3  <https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model#section-3.2.3>.

And then if you look into Section 3.2.3 you see:

>     The RSAB is responsible for considering comments received during a
>     community call for comment.  If RSAB members conclude that such
>     comments raise important issues that should be addressed, they should
>     do so by discussing those issues within the RSWG or lodging a
>     position of "CONCERN" during RSAB balloting.

These two texts are referenced in the Section 7 chapeau.

So there is a bit of indirection in the text.  This saves space and 
avoids introducing ambiguities, but may seem a bit disjoint. On the 
substance, RSAB members now have a fair amount of latitude, as I read it.

Do you disagree?  It could be that this is an editorial matter. It may 
help to have some additional forward references.

Eliot

---

From: Michael StJohns <[email-masked]>
Date: Wed, 22 Dec 2021 16:22:22 -0500

On 12/22/2021 4:12 PM, Eliot Lear wrote:
> Do you disagree?  It could be that this is an editorial matter.  It 
> may help to have some additional forward references.
>
> Eliot
>
>
I think this meets my needs - thanks!

Mike

---

From: Jay Daley <[email-masked]>
Date: Thu, 23 Dec 2021 10:54:42 +1300

> On 23/12/2021, at 9:56 AM, Michael StJohns <[email-masked]> wrote:
> 
> As I noted before, this is in pretty good shape excluding the RPC RSAB membership stuff and maybe a few more things.
> 
> S 3.2.4 - "Appeals of RSWG decisions..." - The RSWG doesn't make decisions, it comes to consensus and that consensus is judged by the RSWG chairs.  So instead "Appeals of any decisions of the RSWG chairs, including declining to decide an open issue in their purview after a suitable period shall be made to the RSAB."   Similarly in the next sentence.  "Decisions of the RSWG chairs..." and later "... notice having been given to the RSWG [mailing list | chairs]?" - I think this is editorial.
> 
> S 4.3, bullet 8 - noted elsewhere, still haven't had an issue opened.  Question is whether this bullet is an "RPC MAY participate in the RSWG as it needs to" or "RPC MUST participate".   Since the bullets open with 
> 
>  it currently reads as a "MUST", and I'm not sure they are resourced for it, nor whether this makes the most sense for their current skillsets and staffing.   I'd be happy with clarifying this is an optional (MAY) interaction, especially since we appear to have settled on the RPC being a non-voting ex officio member of the RSAB.  So text:
> 8. The RPC may, as it determines necessary, participate within the RSWG in the creation of new Editorial Stream RFCs, especially those that might impact the RPC.
> I explicitly left out "advisory" here - I think the RSWG open group model really should avoid restricting people to an advisory role.  That's left to the following proposed language:
> 8.1 The RPC may participate in the RSAB as a non-voting ex-officio member primarily as an advisor on RPC capabilities, schedules, staffing and resources.
> S 4.3 bullet 16 - Is this needed if the RPC is an ex officio member of the RSAB?  Shouldn't that be where this interaction mostly happens?  "Stream approving bodies" is different than "stream manager" and not having a single POC might be problematic.  (Sorry - I see this change was made -05 to -06, but there are a number of places in this document where telling the RPC to talk to an organization is just a bad idea - this comes under the heading of unintended consequences).  
> 
> S 4.6.2 - S/The/Most/ first word.   I think we're adding or changing some costs here, but claiming there are no new expenses is more probably wrong that right. - nit.
> 
> S 5.3 - Reading this - is it possible for a temporary RSCE to be appointed as a volunteer?  (Was Olaf K an unpaid volunteer during his short term as RSE?).  If a volunteer steps in temporarily, does that change who gets to do the approvals?  Happy if the answer to "unpaid volunteer" is no, but if yes, not sure why the LLC would need to sign off.   
> 

Am I misreading this, or are you suggesting that someone could self-appoint themselves as the temporary RSCE in the event that the RSCE is unavailable and nobody else should have any say in the matter?

The appointment text doesn’t require anyone to be paid and so I don’t see anything stopping an unpaid volunteer from being the RSCE or a temporary RSCE.

Jay

> S 6 - 2nd para - "The Editorial Stream will be used...." to "The Editorial Stream shall be used..." - nit.
> 
> S 6.1 "These procedures need to also allow authors to indicate either no rights to make derivative works, or preferentially, the right to make unlimited derivative works from the documents." is       probably to specific.   I looked at this one and I think I see a land mine. We're trying to specify legal language here and if not careful could conflict with the language of 5378.  Instead: 
> 
> These procedures need to allow authors to indicate rights requests consistent with BCP78 (currently RFC5378) or it successor.   The publication of a successor document to RFC5378 and designation as BCP 78 shall be effective on the Editorial Stream process as of the BCP's publication date. 
> 
> S 7 - I'm mostly happy with the list, but I'm still unhappy there is no language that the RSAB can use these items as part of their determination as "harm to the system".  I'm afraid that the RSWG will mostly ignore these as there really is no penalty for doing so, and the RSAB won't have a leg to stand on to push back.  I'll shut up now.
> 
> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Michael StJohns <[email-masked]>
Date: Wed, 22 Dec 2021 18:10:38 -0500

On 12/22/2021 4:54 PM, Jay Daley wrote:
>> some costs here, but claiming there are no new expenses is more 
>> probably wrong that right. - nit.
>>
> Am I misreading this, or are you suggesting that someone could 
> self-appoint themselves as the temporary RSCE in the event that the 
> RSCE is unavailable and nobody else should have any say in the matter?
>
> The appointment text doesn’t require anyone to be paid and so I don’t 
> see anything stopping an unpaid volunteer from being the RSCE or a 
> temporary RSCE.
>
> Jay

You are misreading it, but I was less than clear.

What I meant was, if the Temporary RSCE (s 5.3) is a paid position, then 
obviously the LLC is involved because of the contract and funding 
issues. If instead, we end up having an unpaid volunteer, I would think 
that the process for doing that would be closer to that of selecting an 
ISE and wouldn't necessarily include involvement of the LLC.  Selecting 
an unpaid volunteer via the LLC is possible, but not obviously the right 
thing.

Something like:

"The Temporary RSCE position is intended to be a funded position for a 
publications expert , however if necessary for operational reasons, the 
LLC, with the advice of the IAB and IESG, may select an unpaid volunteer 
to fill the role of Temp RSCE on a short-term basis."

As I said, I'd be fine if the answer was "no unpaid volunteers", but it 
might be useful to review our assumptions and make sure that's what we want.

Thanks - Mike

---

From: Jay Daley <[email-masked]>
Date: Thu, 23 Dec 2021 12:33:06 +1300

> On 23/12/2021, at 12:10 PM, Michael StJohns <[email-masked]> wrote:
> 
>>> On 23/12/2021, at 9:56 AM, Michael StJohns <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
> What I meant was, if the Temporary RSCE (s 5.3) is a paid position, then obviously the LLC is involved because of the contract and funding issues. If instead, we end up having an unpaid volunteer, I would think that the process for doing that would be closer to that of selecting an ISE and wouldn't necessarily include involvement of the LLC.  Selecting an unpaid volunteer via the LLC is possible, but not obviously the right thing.
> 
> Something like:
> 
> "The Temporary RSCE position is intended to be a funded position for a publications expert , however if necessary for operational reasons, the LLC, with the advice of the IAB and IESG, may select an unpaid volunteer to fill the role of Temp RSCE on a short-term basis."
> 
I see.  The problem with that is that in our current model the LLC is the appointing body for the RSCE, so that would mean creating a different appointing body for the specific instance where someone volunteers to take on a temporary RSCE role on an unpaid basis.  I don’t think that is workable and I don’t see any benefit in re-opening who the appointment body for the RSCE is.

> As I said, I'd be fine if the answer was "no unpaid volunteers", but it might be useful to review our assumptions and make sure that's what we want.
> 
I would not want to say that, but rather that the model stays silent on that, thereby implicitly allowing for it.

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Michael StJohns <[email-masked]>
Date: Wed, 22 Dec 2021 19:21:52 -0500

On 12/22/2021 6:33 PM, Jay Daley wrote:
>>>> appointed as a volunteer?  (Was Olaf K an unpaid volunteer during 
>>>> his short term as RSE?).  If a volunteer steps in temporarily, does 
>>>> that change who gets to do the approvals?  Happy if the answer to 
>>>> "unpaid volunteer" is no, but if yes, not sure why the LLC would 
>>>> need to sign off.
>>>>
>>>
>>> The appointment text doesn’t require anyone to be paid and so I 
>>> don’t see anything stopping an unpaid volunteer from being the RSCE 
>>> or a temporary RSCE.
>>>
>>> Jay
>>
>>
>> What I meant was, if the Temporary RSCE (s 5.3) is a paid position, 
>> then obviously the LLC is involved because of the contract and 
>> funding issues. If instead, we end up having an unpaid volunteer, I 
>> would think that the process for doing that would be closer to that 
>> of selecting an ISE and wouldn't necessarily include involvement of 
>> the LLC.  Selecting an unpaid volunteer via the LLC is possible, but 
>> not obviously the right thing.
>>
>> Something like:
>>
>> "The Temporary RSCE position is intended to be a funded position for 
>> a publications expert , however if necessary for operational reasons, 
>> the LLC, with the advice of the IAB and IESG, may select an unpaid 
>> volunteer to fill the role of Temp RSCE on a short-term basis."
>>
> I see.  The problem with that is that in our current model the LLC is 
> the appointing body for the RSCE, so that would mean creating a 
> different appointing body for the specific instance where someone 
> volunteers to take on a temporary RSCE role on an unpaid basis.  I 
> don’t think that is workable and I don’t see any benefit in re-opening 
> who the appointment body for the RSCE is.

I agree that creating a new appointing body would require reworking 
quite a lot of things.  But that mostly doesn't apply to the temporary 
appointments.  5.3 already has this: "the IETF LLC may appoint a 
Temporary RSCE through whatever recruitment process it considers 
appropriate".   What my text above is meant to suggest is that if the 
LLC isn't going to go off and do all of the search committee things for 
the temp RSCE (because of need and time for example), and they get an 
unpaid volunteer to fill in, that the LLC check in with the IAB and IESG 
to make sure that they agree that a non-paid temp volunteer is 
sufficient to fulfill the requirements.   E.g. advise, not consent - llc 
would still run the process.

>
>> As I said, I'd be fine if the answer was "no unpaid volunteers", but 
>> it might be useful to review our assumptions and make sure that's 
>> what we want.
>>
> I would not want to say that, but rather that the model stays silent 
> on that, thereby implicitly allowing for it.

There are a lot of things the model stays silent on that none of us 
would want to think are implicitly allowed! :-)   My druthers are to 
make this clear rather than assume.

Later, Mike

---

From: Eliot Lear <[email-masked]>
Date: Thu, 23 Dec 2021 07:48:17 +0100

Mike,

For background for all, this text was introduced as part of the 
resolution to Issue 104.

On 23.12.21 00:10, Michael StJohns wrote:
> Selecting an unpaid volunteer via the LLC  is possible, but not 
> obviously the right thing.

Can you state why we should revisit this issue, what problem you are 
trying to solve with the existing text, and why this responsibility 
should shift from the LLC?

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Thu, 23 Dec 2021 08:33:32 +0100

Hi Mike,

On this:

On 22.12.21 21:56, Michael StJohns wrote:
> the RSAB? 

For context the bullet says the following:

    16.  Liaising with stream approving bodies and other representatives
         of the streams as needed.

N.B., “as needed.”

> Shouldn't that be where this interaction mostly happens?  "Stream 
> approving bodies" is different than "stream manager" and not having a 
> single POC might be problematic.  (Sorry - I see this change was made 
> -05 to -06, but there are a number of places in this document where 
> telling the RPC to talk to an organization is just a bad idea - this 
> comes under the heading of unintended consequences). 

One example of when it would be necessary for the RPC and a stream to 
communicate would be in relation to boiler plate questions or changes.  
Another case might involve meta-information such as obsoleting/updating 
of RFCs.  According to the draft, these sorts of things would not be 
appropriate for the RSAB, but for the individual streams themselves.

Eliot

---

From: Michael StJohns <[email-masked]>
Date: Thu, 23 Dec 2021 12:26:59 -0500

On 12/23/2021 2:33 AM, Eliot Lear wrote:
>> S 4.3 bullet 16 - Is this needed if the RPC is an ex officio member 
>> of the RSAB? 
>
> communicate would be in relation to boiler plate questions or 
> changes.  Another case might involve meta-information such as 
> obsoleting/updating of RFCs.  According to the draft, these sorts of 
> things would not be appropriate for the RSAB, but for the individual 
> streams themselves.
>
> Eliot
>
I think that's a fair interpretation, but it used to be "stream 
managers" and AFAICT, that was changed to "stream approving bodies" 
primarily to eliminate the "stream manager" term, rather than to address 
the point you made and hence leading to the question. It also is weird 
when reading it for the ISE.

How about "Liaising with other representatives of the streams as needed" 
which says that just not the RSAB member of a stream might be important?

I don't have strong feelings here that it needs to be changed - more of 
a nit than anything.

Mike

---

From: Martin J. Dürst <[email-masked]>
Date: Mon, 27 Dec 2021 13:48:07 +0900

Just one nit below.

> Or get a lawyer to craft this.

"BCP78 (currently RFC5378) or it successor" ->
"BCP78 (currently RFC5378, or it successor)"
or some such.

Happy holidays to everybody,   Martin.

---

From: Ole Jacobsen <[email-masked]>
Date: Sun, 26 Dec 2021 20:51:16 -0800

I think you mean:

"BCP78 (currently RFC5378) or it successor" ->
"BCP78 (currently RFC5378, or its successor)"

its instead of it

Ole J. Jacobsen
Editor & Publisher
The Internet Protocol Journal
Office: +1 415 550-9433
Cell: +1 415 370-4628
T-Mobile: +1 415 889-9821
Docomo: +81 90 3337 9311‬
http://protocoljournal.org

Sent from my iPhone

> On 26 Dec 2021, at 20:48, Martin J. Dürst <[email-masked]> wrote:
> 
> Just one nit below.

---

From: Martin J. Dürst <[email-masked]>
Date: Mon, 27 Dec 2021 14:05:04 +0900

> "BCP78 (currently RFC5378, or its successor)"

Yes, of course. Thanks a lot, Ole!

Regards,   Martin.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 27 Dec 2021 09:19:20 -0700

> Yes, of course. Thanks a lot, Ole!

If someone can tell me how to cite a BCP in the rfc-kramdown format then 
we can avoid these circumlocutions. :-)

Peter

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 27 Dec 2021 18:57:05 +0000

Unless I don't understand the question, it's the same as you would for RFCnnnn.
For example, in the front-matter to 2028bis, I have:
	normative:
	  IANADOCS: BCP26
And in the text I have
	Assignments are coordinated by writing an "IANA Considerations" section
	in a draft, as documented in {{IANADOCS}}.

---

From: John C Klensin <[email-masked]>
Date: Mon, 27 Dec 2021 15:18:34 -0500

--On Thursday, December 23, 2021 07:48 +0100 Eliot Lear
<[email-masked]> wrote:

>...
> Can you state why we should revisit this issue, what problem
> you are trying to solve with the existing text, and why this
> responsibility should shift from the LLC?

Eliot,

I apologize, but I think we need to come back to the other part
of this question, one that I raised some weeks ago and to which
there was, IIR, no substantive response.

Section 5 of the document puts complete responsibility "for the
method of and management of the engagement of the RSCE,
including selection,...".  Section 5.1 goes on to say that there
will be a selection committee, but, other than saying that
members of the community will be included, leaves the selection
and composition of that committee entirely up to the LLC.

While I feel better about the situation if we guarantee the RPC
visibility into the RSAB, we are, to a considerable degree,
still relying on the professional technical and historical
publications knowledge and experience of the RSCE to keep the
Series on course.  Our decision(s) to reduce the authority of
the RSCE relative to that of the historical RFC Editor/RSE will
make that position challenging in another way, which is that the
only effective way to inject that experience, knowledge, and
perspective into the system will lie in the ability of the RSCE
to educate, explain, and persuade people, perhaps even people
who are less interested in thoughtful evaluation of many
considerations and more interested in getting on with something
they believe is obvious.

After studying Section 5, rereading Jay's de facto criteria list
(containing properties I believe are necessary but not
sufficient) and noting that

 * there are no requirements in the LLC documents for
	either the LLC Board or the ExecDir to have expertise in
	publications management or publications or in evaluating
	candidates, or even search firms for locating
	candidates, for such positions      and
	
 * Discussions on this list suggest considerable
	differences of opinion about how significant the RSCE
	role should be.  We have probably reached agreement on a
	middle ground and I do not believe that reopening that
	discussion would be productive in any way.  However, it
	seems clear that there are still some of us who would
	prefer that position be given much more authority and
	others who would prefer that it be further weakened or
	eliminated entirely.

That is a risky combination.  Should the LLC --presumably at
some time in the distant future when the nuances of these
conversations have been forgotten-- develop a preference for
either of the more extreme views or even legitimately reach the
conclusion that one set of characteristics in the RSCE would
make the Series easier to manage, organizing the search process
and then selecting the search committee in a way that is
consistent with those views could easily, even if inadvertently,
determine the results.

I suggest (at least) two small changes to 5.1 that I hope will
not reopen other issues:

(1) Change

OLD:
	, including members from the community,

NEW:
	, including members from the community and representing
	diverse points of view about the RSCE role,

(2) Provide a mechanism for RSAB (or RSWG and RSAB) review of
the committee membership.  The easiest way I can see to do that
without creating a lot of process would be to add, as new second
and third sentences of 5.1, 

NEW:
	A draft of the proposed membership of the selection
	committee will be submitted to the RSAB for review.  If
	the RSAB (including the outgoing RSCE if available)
	concludes doing so would be desirable, they may make
	suggestions to the LLC about that list and/or propose
	additional members.

That can be modified as needed if we really want the RSWG
involved, but I think that would just invite food fights and a
reprise of debates we hope are settled and will stay that way.

I don't believe this needs to be spelled out in the document,
but the above, or at least the recommendations to the LLC, would
be a normal part of RSAB discussions and hence not subject to
executive session or secrecy rules.  The intended checks are
openness, transparency, and encouraging broad perspective even
were the LLC to develop a blind spot.  Nothing above would
hobble the LLC's ability to manage the process as laid out
earlier in Section 5.  For that reason, I don't believe that the
introductory material in Section 5 requires modification, but
I'd defer to Peter on that.

best,
   john

---

From: Michael StJohns <[email-masked]>
Date: Tue, 28 Dec 2021 00:01:43 -0500

> should shift from the LLC?

Hi Eliot -

Sorry - I missed this when you posted it and only noticed it when John 
posted.

I don't think this is a revisit - or at least I can't find any 
discussion on the LLC selecting a non-paid RSCE.  I think my assumption 
was paid, and LLC  was contracting or offering employment, but I think 
that assumption might not be entirely correct in all cases.

I think I covered this in my email response to Jay, but basically:

The reason (AFAICT given the all of the discussion not just for 104) the 
LLC is deeply involved in the selection of the RSCE is because they have 
to do all the contracting and payment. Contracting obviously (I think) 
doesn't apply to an unpaid volunteer and hence brings up the question of 
LLC involvement in the process if an unpaid volunteer is the best fit 
for a temporary position.  That wasn't discussed during the 104 resolution.

If there's a need for a temporary RSCE AND the RSCE will not be paid, 
then the question is whether leaving this to the LLC is the best thing.

The assumptions underlying 104 were all about dealing with temporary 
vacancies (and were related to other vacancy discussions), not about how 
such a position might be compensated leading me to ask the question.

I think heading somewhat in the direction of both what I wrote 
(suggesting that the IAB and IESG get a voice at least for a non-paid 
RSCE) and what John wrote (suggesting that we emphasize a bit more the 
need for a particular set of expertise in the selection process by the 
selectors) covers both the paid and non-paid cases. I don't think there 
needs to be a formal "do this if paid, and do something else if unpaid" 
model, and I think having the LLC (or the ED) coordinate this still 
works, but perhaps with some additional input.

It's also possible that we write a zero dollar contract with maybe 
benefits such as paid travel to the IETF, but donated time?

Yeah - this is a corner case, but it's one that I grok might (will?) 
happen and should at least be acknowledged and mapped to the current text.

Mike

---

From: John C Klensin <[email-masked]>
Date: Tue, 28 Dec 2021 03:44:40 -0500

--On Tuesday, December 28, 2021 00:01 -0500 Michael StJohns
<[email-masked]> wrote:

>>> Selecting an unpaid volunteer via the LLC is possible, but

>...
> Hi Eliot -
> 
> Sorry - I missed this when you posted it and only noticed it
> when John posted.

Mike and Eliot,

That is why I have been trying to update subject lines to
reflect assorted subthreads.  But, if that is not useful to
others (and it appears to not be) I will stop it.

> discussion on the LLC selecting a non-paid RSCE.  I think my
> assumption was paid, and LLC  was contracting or offering
> employment, but I think that assumption might not be entirely
> correct in all cases.
>...
 
> If there's a need for a temporary RSCE AND the RSCE will not
> be paid, then the question is whether leaving this to the LLC
> is the best thing.
> 
> The assumptions underlying 104 were all about dealing with
> temporary vacancies (and were related to other vacancy
> discussions), not about how such a position might be
> compensated leading me to ask the question.
> 
> (suggesting that the IAB and IESG get a voice at least for a
> non-paid RSCE) and what John wrote (suggesting that we
> emphasize a bit more the need for a particular set of
> expertise in the selection process by the selectors) covers
> both the paid and non-paid cases. I don't think there needs to
> be a formal "do this if paid, and do something else if unpaid"
> model, and I think having the LLC (or the ED) coordinate this
> still works, but perhaps with some additional input.
> 
> It's also possible that we write a zero dollar contract with
> maybe benefits such as paid travel to the IETF, but donated
> time?

Or waived registration fees, or nothing.  

There are assorted sayings in the legal profession that the main
reason for most contracts is to avoid misunderstandings between
parties who are in agreement and acting in good faith, not
notions of trying to advantage or enforce one position against
another.  

On that basis, if nothing else, even if the RSCE is going to be
completely uncompensated (not even benefits like those
mentioned), a formal agreement/ contract that gets mutual
expectations written down would probably be worthwhile.  I'd
expect such a contract might be slightly different from a
conventional "we pay you and you do X for the money" contract,
but that is probably best left to the LLC and its lawyers.
There is also ample precedent in other areas for "one dollar a
year" compensation (or, in the IETF's case, maybe "reserved free
cookie at meetings") but, again, best left up to the LLC.

(If Jay, reading this, is thinking about misunderstandings and
problems that could have been avoided with volunteers in the
distant past had there been explicit agreements... well, so am
I.)

> Yeah - this is a corner case, but it's one that I grok might
> (will?) happen and should at least be acknowledged and mapped
> to the current text.

Agreed.  But, as you suggest, especially with requirements about
the search process similar to what I suggested, the compensated
and uncompensated (or paid in cookies) cases may be less
different than your original note implied.  They would be more
different if we were willing to accept a candidate with lower
qualifications if that candidate were free (or very
inexpensive), but I hope we never go there.  Even for
compensated people, I'd be very concerned if the LLC were ever
to prioritize "low bid" over knowledge and expertise, but,
beyond strengthening the search process, I don't see any way to
write that principle into the document that would be helpful.

best,
  john

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 28 Dec 2021 21:23:59 +1100

> we can avoid these circumlocutions. :-)

{{!BCP78}} will work for a normative reference, or {{?BCP78}} for an informative one.

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 28 Dec 2021 21:24:44 +1100

> 	in a draft, as documented in {{IANADOCS}}.

You can also do {{!IANADOCS=BCP26}} inline, without the normative section.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 28 Dec 2021 17:16:07 +0100

Hi John, Mike, and others.

I hope you all are enjoying the holiday season.  I want to note that you 
*DID* repeatedly raise concern about expertise. The suggestions below 
are actionable.  I'm suggesting a bit of editorial consolidation.

Please see below.

> 	diverse points of view about the RSCE role,

I could understand the "diverse points of view" aspect.  It's good to 
hear from people who use the service in different ways, and even perhaps 
people who have been in the previous versions of the role (like Heather 
and John).

But I don't understand the "about the RSCE *role*" part. First, the 
purpose of the selection committee is not to debate the role but to find 
qualified candidates.  The role is defined in the document and the 
process we are creating.

Second, I don't know that this would lead to the outcome you desire.  
For instance, there are some people who believe that there shouldn't be 
such a role.  Should they be included in the selection committee?

But see below.

> reprise of debates we hope are settled and will stay that way.

The question at hand is really this: do we trust the ED to put together 
a strong selection committee without such a statement? But I think both 
changes you want could be accomplished with a much shorter change:

OLD:

    The IETF LLC will form a selection committee, including members from
    the community, that will be responsible for making a recommendation
    to the IETF LLC for the RSCE role.

NEW:

    *In consultation with the RSAB*, he IETF LLC will form a selection
    committee, including members from the community*who represent****diverse perspectives*, that will be responsible
    for making a recommendation to the IETF LLC for the RSCE role.

Thoughts?

Eliot

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 28 Dec 2021 10:13:53 -0800

On Tue, Dec 28, 2021 at 8:16 AM Eliot Lear <[email-masked]> wrote:

> I could understand the "diverse points of view" aspect.  It's good to hear
> from people who use the service in different ways, and even perhaps people
> who have been in the previous versions of the role (like Heather and John).
>
>
> qualified candidates.  The role is defined in the document and the process
> we are creating.
>
> Second, I don't know that this would lead to the outcome you desire.  For
> instance, there are some people who believe that there shouldn't be such a
> role.  Should they be included in the selection committee?
>
> But see below.
>
> The question at hand is really this: do we trust the ED to put together a
> strong selection committee without such a statement?  But I think both
> Nit: "the IETF LLC"

>    committee, including members from the community *who represent**   diverse perspectives*, that will be responsible
I agree that diverse perspectives seem good, but this (and Jon's proposed
text)
seems more aspirational than like requirements text. How would one evaluate
whether the LLC had conformed with this? Maybe that's OK, but I would lean
towards not including it.

-Ekr

Eliot

---

From: Michael StJohns <[email-masked]>
Date: Tue, 28 Dec 2021 15:03:01 -0500

> Yes, of course. Thanks a lot, Ole!

It probably should be:

"BCP78 (i.e., RFC5738 or its successor)"

But that's just wordsmithing!

Mike

---

From: John C Klensin <[email-masked]>
Date: Tue, 28 Dec 2021 15:04:10 -0500

--On Tuesday, December 28, 2021 17:16 +0100 Eliot Lear
<[email-masked]> wrote:

> I hope you all are enjoying the holiday season.  I want to
> note that you *DID* repeatedly raise concern about expertise.
> The suggestions below are actionable.  I'm suggesting a bit
> of editorial consolidation.

Eliot,

I raised several questions about expertise in the RSCE position
itself but, as far as I can remember, not about the composition
of the selection committee... although I did certainly raise
some issues about the Section 5 selection model, at least one of
which, IIR, was what led to Jay's posting his "de facto" list.
IMO, not worth the time it would take to go back and precisely
figure that out.

I apologize but I'm going to need to review history as I see it
and this note is going to be long.

> I could understand the "diverse points of view" aspect.  It's
> good to hear from people who use the service in different
> ways, and even perhaps people who have been in the previous
> versions of the role (like Heather and John).
> 
> But I don't understand the "about the RSCE *role*" part.
> First, the purpose of the selection committee is not to debate
> the role but to find qualified candidates.  The role is
> defined in the document and the process we are creating.

We have made several decisions (not necessarily about this part
of the document and, IIR, a few at your urging) to deal with
issues about which we could not easily reach general agreement
by use of vague language and assuming the RSWG/RSAB could and
would sort things out later if and when needed.  The recent
discussion about "principles" is an excellent example: while I
didn't completely agree with Mike's initial list, I agreed with
the general idea (principle?) he was asking for. I assume that,
had the discussion been only about that idea among those who
believed a clear boundary-setting statement would be desirable,
we probably could have gotten to a consensus list.   However,
others didn't (at least AFAICT) like the idea at all and so we
ended up with the current Section 7, which involves much more
handwaving and leaving of decisions for the future than I
assumed we were heading for when I read Mike's first note on the
subject.  Probably that is a good outcome.  Not specifying
exactly what we mean by "heightened scrutiny" and pushing those
details off for the future is almost certainly right (and I even
suggested some of the text that led to part of the current
version of Section 3.2.3), but, when we say what the second
paragraph of that section says, we should recognize that it
represents a compromise and  "kicking can down the road"
decision relative to either rigid and very hard-to-change
boundaries or leaving everything in the hands of the RSWG/RSAB
without any guidance or boundaries.

Now, from my point of view at least (and YMMD) the current
Section 5 (supplemented by the differentiating language of
Section 8.2) are just such a "kicking can down the road"
exercise.  Section 5 describes the responsibilities of the role
and example topics on which the RSCE might be called upon to
provide guidance but it nowhere provides any guidance other than
"senior technical publishing professional..." about the
qualifications for that role.   Instead, Section 5.1 pushes the
job off onto the LLC and the LLC-appointed selection committee,
"tak[ing] into account the definition of the role..." -- a
definition Section 3.2.3 and the first part of Section 5
actually do not provide.  I bear some of the responsibility for
that: when you challenged me to define what I meant by
"expertise" in a way that could go into the document, I gave up
because that is hard but, equally important, because I concluded
that any definition I could produce would be controversial and
then would be compromised about and watered down to the point of
uselessness (nearly the same reason I gave up on "archival").
I'm ok (although not enthused) with the current text but it
means that, inevitably, the selection committee and the LLC will
be filling in the many blanks we have left about the definition
of the role, possibly even making dynamic adjustments when a
highly qualified search firm starts asking questions or even
when faced with highly qualified candidates who were very
different from each other (would not be the first time for the
latter).  

When Heather was selected, there was broad consensus inside the
selection process about the nature of the RSE role (not just a
list of things the RSE would do) and most of the qualifications
for it, even though a large portion of that consensus was
unspoken and derived from a long, mostly oral, tradition.  I see
no such consensus about the definition of the RSCE role, only
the "what that person might do or be asked to do" material.

> Second, I don't know that this would lead to the outcome you
> desire.  For instance, there are some people who believe that
> there shouldn't be such a role.  Should they be included in
> the selection committee?

More or less "yes".   But note, before we get to the part below
that, if we say nothing, we also don't exclude those people from
the selection committee (although me might hope and expect the
LLC would be sensible -- more on that below too).  If we are
going to kick this down the road for reevaluation during the
selection process, then we should not cut off points of view at
or near at either extreme unless we are prepared to define
things much more precisely -- which I don't think we are.

>> the committee membership.  The easiest way I can see to do
>> that without creating a lot of process would be to add, as
>> new second and third sentences of 5.1,
>> 
>> NEW:
> The question at hand is really this: do we trust the ED to put
> together a strong selection committee without such a
> statement?

I don't think it is.  More important, I find turning this into a
"do we trust the ED?" question really objectionable: either a
"yes" or "no" answer turns into a battle between Jay's defenders
and those who dislike him or his style.  That leads nowhere
other than getting people angry at each other and losing sight
of the substantive issues.  I will tell you that I trust Jay far
more than a hypothetical future ED whose properties and style we
cannot guess at other than to expect that they will not have
benefited from watching these discussions in real time.
Instead, this is about whether it is desirable to put the job of
defining the qualifications for the RSCE role (all of the bits
that the document does not specify as well as those that it
does) entirely into the hands of the LLC or to be sure that the
community -- especially as represented by the cast of characters
who make up the RSAB -- can have visibility into and help to
insure the balance of that selection committee and hence the
(necessarily evolving) definition job.  

So, yes, I think the current ED (and LLC more generally) would
do the best job of which they are capable in putting the
selection committee together.  I have intentionally not
suggested changing their having the last word on the matter and
would do so if I thought it were necessary to protect against
malicious behavior on their part.   But I don't think they are
omniscient and I think it is entirely possible that they do not
fully understand all of the perspectives in these discussions (I
am not confident that anyone completely does and some of us have
a lot more years of experience and perspective on the issues
than the ED or anyone on the LLC Board or staff).  And so I'd
like a check on a proposed selection committee so that, if it
occurs that some important perspective has been omitted, the
RSAB can say "you seem to have missed perspective X, which might
be useful; how about you consider adding Bob or someone else who
can be articulate about it?".  Frankly, I prefer making it a bit
hard for the LLC to ignore than recommendation even though I
think trying to prohibit them from doing so would be a terrible
idea.  

Yes, I am setting up the selection committee to have a food
fight but I see that as a better choice than either of the other
two options.  

And, if the LLC, with the advice of the RSAB, wants to put
someone on the selection committee who thinks that having an
RSCE is completely unnecessary and perhaps would like to select
someone who would be ineffectual in the role, I think they
should go for it. Should they, accidentally or intentionally,
propose a selection committee full of those people (which would
astonish me), I'd assume the RSAB would put back.  But I would
have no problem with one such person as long as the LLC picks
someone who, in addition to having those views, is able and
willing to work constructively with others to reach a consensus
conclusion, one that is informed by what the document has to say
about the role.    And I trust them to get that right, both
because I think they are more than capable of doing so and
because I don't see other plausible choices.

> But I think both changes you want could be
> accomplished with a much shorter change:
> 
> OLD:
> 
>     committee, including members from the community*who
> represent****diverse perspectives*, that will be responsible

Well...

(i) Better than leaving the text unchanged.

(ii) This may go back to your "who do you trust" question, but I
think this lowers the responsibility and authority of the LLC
and don't consider that a good idea.  What I am picturing is the
LLC tentatively picking a slate/ committee and then handing it
to the RSAB for comment and advice.  My expectation is that, if
the LLC does a good job (and/or gets lucky), the RSAB will
collectively nod approvingly and that will be the end of it.
"In consultation with" implies much more of a group decision,
one that, if carried out in what seems to have become the IETF
way, could easily evolve (unless we explicitly prohibit it) into
public calls for candidates, community comments, etc.   I don't
want to see anything resembling a popularity contest for
selection committee members.  Equally or more important, I see
selection committee membership as not being a particularly fun
job and expect that some people who might be among the best
candidates would have to be aggressively persuaded to take it
on.    I think we are much better off with something lots closer
to what now appears to be in the draft: the LLC picks a
collection of people whom they think would be good at/for the
job but, instead of simply making and announcing that decision
(or launching a "community consultation"), reviews that decision
with the RSAB to ensure that perspectives they (the LLC) might
not have captured (or that are overrepresented) get identified
and, if appropriate, represented or the proposed membership
adjusted.  And I am happy to leave it entirely up to the LLC to
decide how their initial list of people are identified (although
I would personally recommend against a public call for
volunteers) and, if arm-twisting is needed, when in the process
that is done and by whom.  In particular, if the LLC comes to
the RSAB with a list of people who have not yet been asked or
agreed to serve, I'm fine with that even if it leads to an extra
iteration -- up to the LLC.

best,
   john

---

From: Jay Daley <[email-masked]>
Date: Wed, 29 Dec 2021 15:06:23 +1300

Briefly, this has become one or two orders of magnitude more complex than is required for this role (remembering that the role as written is very different from the previous role).  The overriding priority for committee members should be that they understand this new role and will therefore find someone who fits this role rather than the previous role.  I’ve regularly pushed back on having ex-officio appointments to the selection committee because, from what I’ve seen so far, the number of people who properly understand this new role is actually quite limited in number. Picking a random IAB/IESG person who isn’t one of those means the committee has to work much harder to bring them to speed. 

I fully understand the depth of trauma some felt about the previous role and that the scars are still fresh, but this is a very different role and we don’t need to overthink it. 

Jay

-- 
Jay Daley 
IETF Executive Director
[email-masked]

> On 29/12/2021, at 9:04 AM, John C Klensin <[email-masked]> wrote:
> 
> 
>

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 29 Dec 2021 02:55:39 +0000

I had planned to ignore this thread as I haven't really
share Mike/John's concerns so far, but...

On 29/12/2021 02:06, Jay Daley wrote:
> Briefly, this has become one or two orders of magnitude more complex
> than is required for this role (remembering that the role as written
> is very different from the previous role).  The overriding priority
> for committee members should be that they understand this new role
> and will therefore find someone who fits this role rather than the
> previous role.  I’ve regularly pushed back on having ex-officio
> appointments to the selection committee because, from what I’ve seen
> so far, the number of people who properly understand this new role is
> actually quite limited in number. Picking a random IAB/IESG person
> who isn’t one of those means the committee has to work much harder to
> bring them to speed.

My main impression of the above is "the LLC do this for a
living, so we know what's what - don't you volunteers bother
yourselves with worrying about details." That's unfortunate,
at best.

> I fully understand the depth of trauma some felt about the previous
> role and that the scars are still fresh, but this is a very different
> role and we don’t need to overthink it.

The language above reads to me as if intended to minimise and
deflate opposing positions (e.g. use of "trauma" and
"scars" as exaggeration). I don't think  such tactical use
of language is appropriate for the LLC/secretariat (no matter
how tempting it may be).

Cheers,
S.

---

From: Jay Daley <[email-masked]>
Date: Wed, 29 Dec 2021 20:40:24 +1300

> On 29/12/2021, at 3:56 PM, Stephen Farrell <[email-masked]> wrote:
> 
> 
That’s quite clearly not what I was saying, but for the avoidance of doubt, let me try again. My point is not about who chooses the recruitment committee but what knowledge the committee members need in order to make a successful appointment. My view is that the members need a deep understanding of the new model because it is so different from that before and that is unlikely to be knowledge that someone will have if they have not been a regular participant in this program. 

> of language is appropriate for the LLC/secretariat (no matter
Again I think I was quite clear (and both accurate and proportionate in my language) but again, for the avoidance of doubt, I’ll explain again. My point is that the concerns that people have about this appointment seem to reflect more the history of the preceding role rather than the new model as proposed in which this is a very different role, with nothing like the authority of the previous role. 

Jay

-- 
Jay Daley 
IETF Executive Director
[email-masked]

---

From: Eliot Lear <[email-masked]>
Date: Wed, 29 Dec 2021 09:32:18 +0100

Hi John

On 28.12.21 21:04, John C Klensin wrote:
> [snip]
> exercise.

We have defined the role (I disagree with you on this point).  It is 
done broadly because we lack experience with the nature of the new 
role.  What we haven't done is specified job qualifications. I believe 
that reflects how the organization in its modern form does hiring.   
Perhaps to cover this point, we have said that the RPC can seek the 
opinion of the RSAB when there are ambiguities or omissions in our 
processes.  I don't see why the selection committee couldn't do the 
same, if they have questions.  Answers would be public, and in 
particular given to the RSWG.  We could say something like that.  That 
would also avoid "food fights" in the selection committee, but rather 
lets them take place over time where they should take place- the RSWG.

To bring us back to the (other) text:

> and don't consider that a good idea.

Not at all the intent.  Maybe "with {advice/input/guidance} from..."?

Pick your favorite noun there.  I think the one you are looking for that 
I think would cause problems is "review".  We don't want to put the LLC 
in a position where they choose without guidance and then the RSAB hates 
the choice (that's Monday Morning Quaterbacking).  Better to have the 
guidance if we're going to go down this path at all.

Eliot

---

From: John C Klensin <[email-masked]>
Date: Wed, 29 Dec 2021 08:46:04 -0500

--On Tuesday, December 28, 2021 10:13 -0800 Eric Rescorla
<[email-masked]> wrote:

>>    committee, including members from the community *who
>>    represent**   diverse perspectives*, that will be
>>    responsible for making a recommendation to the IETF LLC
>>    for the RSCE role.

> I agree that diverse perspectives seem good, but this (and
> Jon's proposed text)
> seems more aspirational than like requirements text. How would
> one evaluate whether the LLC had conformed with this? Maybe
> that's OK, but I would lean towards not including it.

ekr,

I'll skip the further explanation that already appeared in my
response to Eliot, but let me comment on this "aspirational
versus requirements" issue.  First, I think you may see a
clearer boundary there than I do.  If you do, I'd like to
understand your definition and how it discriminates.

>From my perspective, the whole process and the document are
largely aspirational.  This isn't Newtonian Physics or even
Network Engineering where we can state a goal quantitatively,
carry out some action, and then determine, with mathematical
certainty or close to it, whether that action produced results
that met the goals.  Even where the document lays out very
specific procedures, it may be possible to determine whether
those procedures were followed but the real goal isn't
procedure-following, it is producing a better RFC Series and/or
a better Internet, both of which are inherently quite subjective
and about which, if we were to start getting down to details, we
would probably not have consensus.

So the current text, which more or less specifies that the LLC
selects the search committee and determines and executes the
process, giving them absolutely no guidance, is, from my point
of view, about as aspirational as it gets, without even spelling
out the aspirations of producing a good result.  Peter might
have written a bit more of that down but he didn't (and, fwiw,
in his position, I wouldn't have either -- part of it is obvious
and part of it involves things about which we don't have a clear
consensus).

The problem with it is actually quite concrete, even if not
easily measurable.  The first principle about the LLC is that it
doesn't do things that interfere with or set the course for, the
standards process.  Now that is, itself, also aspirational:
there are enough edge cases that issues have to be worked out,
on a case by case basis, with the IESG (at least).  As this
month's handy example, the LLC could have made an entirely
financial decision about whether to hold a partially f2f meeting
in March.  They considered other issues and consulted more
broadly than that and did so, I assume, because of interactions
with the IETF and its processes and not just in order to get an
estimate of whether enough people would come to get the numbers
right.  But one of the corollaries to that principle is that it
is unreasonable to expect that the LLC, internally, will
understand all of the relevant perspectives in the community
(whether we aspire for them to do so or not).  The downside of
outside Directors and of, e.g., not requiring that the ED have
ever designed protocols leading to standards track RFCs -- both
of which I consider good decisions-- is that it is even more
unreasonable to expect them to have that knowledge (whether we
aspire to it or not).

So, I am trying to build a fairly well defined procedural check
into the system to mitigate the risks the current text might
cause (even if everyone is acting in good faith and the best
interests of the RFC Series and the IETF as they understand
them).  The check I proposed (perhaps unlike Eliot's
modification)involves a clear procedure: the LLC tentatively
selects a committee, then presents it to the RSAB and asked for
input.  If the RSAB says "looks good", then very little time or
procedural overhead has been wasted.  If they say "you left an
important point of view out" we may dodge a bullet.  Now, will
that improve the result?  That is speculative and, if you like,
aspirational.  But actually less so that the the move loosely
defined procedure in -07 because the risk can be understood and
this is an last a reasonable attempt at identifying and
mitigating it.

    john

---

From: John C Klensin <[email-masked]>
Date: Wed, 29 Dec 2021 12:03:37 -0500

--On Wednesday, December 29, 2021 15:06 +1300 Jay Daley
<[email-masked]> wrote:

> Briefly, this has become one or two orders of magnitude more
> complex than is required for this role (remembering that the
> role as written is very different from the previous role).
> The overriding priority for committee members should be that
> they understand this new role and will therefore find someone
> who fits this role rather than the previous role.  I've
> regularly pushed back on having ex-officio appointments to the
> selection committee because, from what I've seen so far, the
> number of people who properly understand this new role is
> actually quite limited in number. Picking a random IAB/IESG
> person who isn't one of those means the committee has to
> work much harder to bring them to speed. 

Jay,

Setting aside Stephen's reaction (and my similar one), whatever
nostalgia I may feel for the old way of doing things and, hence,
the old RSE role, had nothing to do with my comments.  I think I
understand the new role.  It is clear from the above that my
understanding is almost certainly different from yours.  I got a
hint of the differences from your "de facto" note, but this note
from you makes the difference much more clear.

The more important comment above is about people who "properly
understand this new role".   While I agree that is important,
the above, combined with your proposed sole control of the
selection committee and other aspects of the hiring process,
would appear to set you up as the sole arbiter of "proper
understanding" as well as of the entire hiring and selection
process.  I'd have a problem with that sole arbiter role even if
I was confident that our understanding agreed.  

I also note that I dud not say anything about an ex-officio
appointment to the selection committee.  I don't remember anyone
else suggesting that either.  I think that makes "Picking a
random IAB/IESG person..." entirely a red herring.

I think the new role is going to be much harder than the old one
because it requires, not only bringing a high level of expertise
to the table, but of educating and persuading people about the
implications of opinions formed on the basis of that expertise
rather than being able to simply acting with authority when they
think the time is right for that.  We've removed the implicit
requirement for management experience from the role but not the
requirements for in-depth expertise and understanding.  Assuming
the personalities are right, that education and persuasion role
will be easier for someone with more experience and knowledge to
draw upon than for a more junior person whose input might be
less persuasive.  I'm expecting someone in that role who is
capable of offering real advice based on their observations of
what is going on, and doing so proactively, not just someone who
is going to sit around waiting for questions or being presented
with things and nodding approvingly. 

We haven't clearly defined that role or the requirements in the
document other than to say "an expert in technical publishing"
and "senior technical publishing professional who will apply
their deep knowledge of technical publishing processes to the
RFC Series" but even those are fairly high requirements.  At
least as I read them, they set a far higher bar than your de
facto list.  The role would change significantly if the document
said that the RSCE was expected to speak only when spoken to and
to answer questions only if they are asked by, e.g., the RSAB,
RSWG, or ED but I can't find such text.  Based, among other
things, on experience doing some consulting for an important
technical publisher and interacting with them over decisions
similar to those the RFC Series has faced and will face and on
experience with the RFC Series that had more to do with strategy
than about roles and how they were defined (RFC 4846, 4897,
etc., notwithstanding) and participation in the last search
process (relevant not because I think the roles are the same but
because those qualifications for expertise and deep knowledge
are a subset of the criteria the last time around), I think the
position is going to be very hard to fill.  Based on that same
experience and perspective I think that, if a selection is made
on the basis of nothing more than your de facto criteria and
ability to work well with you, we are not going to end up with
the person in that role that many (at least) of us believe the
phrases quoted above require.

Speaking only for myself, if we are not going to put someone in
that position who has enough experience and perspective to exert
real influence --not just answer technical publication questions
that I'm confident the RPC could handle, at least if they are
not micromanaged (but might or might not want to), we should
reduce the complexity of the new model by just getting rid of
the RSCE position. 

Now, I don't know what you are picturing and it is probably time
that you be much more explicit about it.   But, unless you can
explain your "proper" understanding of the role --not just
identify what you call de facto requirements and then
hand-wave-- and there is consensus (at least rough) about that,
I think we have three choices (the third of which I hope no one
likes):

(1) We review our collective expectations of the position and
write enough of a description and set of qualifications into the
document to provide much of the content of a job posting or RFP
without leaving you or your successors as sole arbiters of what
the position is about.

(2) We provide some (mandatory) mechanism for input into, or
review of, the selection committee membership to make sure that
diverse perspectives are represented by competent people who are
willing to work together.  Eliot sees some issues with my
version and I see some issues with his but I don't see much
point in further discussion of those differences unless we can
get the selection process away from the idea of you (with or
without discussion within the LLC) being sole arbiter (subject
only to your interpretation of the few words in the document) of
what the position is about and what sort of qualifications are
needed in someone who is selected.

See "obnoxious postscript" below for (3).

> I fully understand the depth of trauma some felt about the
> previous role and that the scars are still fresh, but this is
> a very different role and we don't need to overthink it. 

Whether I think you understand that or have the experience to
make the judgment is probably irrelevant as is your claim on the
subject.  It is a very different role.  Maybe I haven't been
watching closely enough but, at least in the last few months,
I've seen no signs of anyone who does not understand that and
think it is very different.   And that is what I've said
multiple times: another thing that made the old role possible to
fill by relying on tradition is that the tradition and
precedents were there and clear to those most involved,
something that is not the case for this new and very different
role.  

To use an example so deliberately exaggerated that I hope no one
will think it is a proposal or serious suggestion, one way to
avoid trying to carefully define it would be to appoint Donald
Duck to the role for a moderately short term, watch the ways in
which his performance is or is not successful, and then revise
our expectations and then either eliminate the position (because
his failures didn't make any difference) or write a job
description based on what we had learned by the end of that
period.  While I don't think anyone you would be likely to
recruit and hire (with or without a selection committee you
control) would perform nearly as badly as I would expect from
said duck, appointing someone unqualified (however accidentally)
and then learning from the experience is not an experiment I
would choose to perform if we can avoid it.

best,
   john

Obnoxious postscript:

There is another way of looking at this, one I mentioned some
time ago in the context of an "ultimate authority" discussion
and that, IIR, no one found helpful.  Let me try again, both to
make a strawman counterproposal and to put my suggestion in a
different light.  The note quoted above reinforces the relevance
of mentioning it.  As this system has evolved and in the last
analysis, the LLC is in charge of almost everything.  They
control the budget for anything that involves either work or
money.  They contract for, evaluate, manage, and control the
RPC.  While I would not expect it to ever happen, they could
even deny publication for a particular document, approved by
some stream, by forbidding the RPC to invest any resources in
it.  If the RSWG and RSAB propose a policy change, they can say
"too expensive", "no budget", or "not something we are willing
to manage" and there is no appeal.  They control the RSCE
selection, hiring, and evaluation processes and, if it suits
their needs, convenience, or management style, could easily (and
perhaps inadvertently) reduce that position to something very
low-level with no influence on anything except to advise them
when they decide they want advice.  For those reasons, if there
is a difference of opinion about what some provision of the
"Model" document or other community-written specifications mean
(not limited to the understanding of the RSCE role) and the
community does not persuade them to change their view, their
opinion will ultimately prevail.  While they engage in
consultations and other ways to measure community opinions and
their own performance, they ultimately make the final decisions
and are ultimately accountable to no one other than themselves
(with the possible exception of the ISOC Board and the only
option there, if it exists at all, would be very drastic).

We are, of course, protected from a grim version of that picture
by the moral and ethical obligations that the LLC Board and
Staff, especially the Executive Director, feel to the community
and community consensus but those obligations are, to use ekr's
term, aspirational, not anything that is legally binding or
enforceable.

Given that description, which I believe summarizes the actual
reality, perhaps what we should do with this Program is to
declare success, thank Peter and the Co-chairs for their
efforts, drop this fairly complicated "Model" document
(including the RSWG and RSAB ideas), and replace it with an
extremely short one that reaffirms the Streams, their
relationships, and their independence of each other in terms of
what is to be published.  It would then say that the policies of
the RFC Series and production of documents are ultimately
administrative and financial matters to be managed, contracted
or hired for as needed, and generally decided upon, by the LLC,
encouraging them to engage in consultations with the community
or selected subsets of it as they deem appropriate.

I don't believe we should do that but it raises questions that
may be worth thinking about.  And, again thinking about ekr's
comments and the reality that almost nothing in the document is
actionable (other than giving people new and different titles or
affiliations) without LLC decisions; decisions that the LLC has,
in principle, the option of not making. Given that, maybe we
should be engaging, not in relitigating issues that made sense
under the assumption that this Program had authority and could
define an RSWG, RSAB, and other roles and put them in charge but
recognizing that there is no "in charge" other than the LLC.  If
those roles are ultimately meaningless except to give
non-binding advice to the LLC, perhaps the whole arrangement is
much too complicated are likely to be far too expensive of the
time of those involved, especially those who might otherwise be
working on agendas more directly connected to the development of
Internet technology. 

I did say "obnoxious", didn't I?

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 29 Dec 2021 11:16:47 -0800

I see my name being called out here, and I would like to clarify what
I meant by aspirational, which is that I considered the language
"diverse perspectives" to be too vague to be able to have consensus
about whether it had been followed.

I agree that these documents *also* have the property that they
require the LLC to do things that it might or might not do, even
if that clearly violated these documents. However, I think that's
different and to a first order is inherent in the structure of having
an LLC. The structural component intended to ensure that the
board follows the correct process is that the board of directors
is largely selected by the community or its delegates. I think
that's something other than just "moral and ethical obligation",
given that the community can replace them.

-Ekr

---

From: Jay Daley <[email-masked]>
Date: Thu, 30 Dec 2021 08:50:17 +1300

John

I agree, the current model does make the ED the sole arbiter of who meets the criteria to be on the appointment committee and I can see why you might have concerns that this could be misused.  I have no objection to any checking mechanism for this, such as your proposed check with the RSAB but please note, that would likely delay the appointment of the RSCE by ~3 months because this process cannot then start until the RSAB is seated.  I also btw, have no objection to the committee being chosen entirely separately from me.  The one thing I would ask if we go that path is that we document, as briefly as possible, the knowledge those people are expected to have.

My plan, as previously noted, was to come to this list with a proposed committee and get feedback that way, as I am obliged to do by section 4.4 or RFC8711 (which is phrased much stronger than an aspiration, but that’s a conversation for another time). Of course, as you have explained,  if this is not specified in the process then there is a possibility that another ED might not do that.

Even if we don’t put any of those safeguards in place, I will continue to find this appointment process disproportionate given that the processes for appointing the RPC, Secretariat, and Tools Team PM, all of which probably have more impact than this new role, are nowhere near as deeply specified.  

Jay

(PS. This is likely to be my last post until Jan 24th as I start my summer vacation later today).

-- 
Jay Daley
IETF Executive Director 
[email-masked]

> On 30/12/2021, at 6:04 AM, John C Klensin <[email-masked]> wrote:
> 
> 
>